63b2f6b99cbc34a2ddd994857329153ecdd4a35f
[debian/bti.git] / debian / changelog
1 bti (032-2) UNRELEASED; urgency=low
2
3   TODO: switch back to libcurl4-gnutls-dev (versioned build-dep on
4   liboauth-dev?), after #650138 / #639565 + wheezy
5
6   * Update Vcs-* headers.
7   * debian/watch: update after github URL schema change.
8
9  -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jan 2012 20:55:07 +0100
10
11 bti (032-1) unstable; urgency=low
12
13   * New upstream release
14   * debian/watch: use github redirector, there are no released tarballs at the
15     moment.
16   * The tarball from github doesn't ship a configure script; use
17     dh-autoreconf.
18   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
19     included upstream).
20
21  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
22
23 bti (031-4) unstable; urgency=low
24
25   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
26     conflict with each other, and liboauth-dev now requires the former.
27     (Fixes a not-yet-detected FTBFS.)
28
29  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
30
31 bti (031-3) unstable; urgency=low
32
33   * Add patch to output the correct configfile name (identi.ca/OAuth/access
34     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
35
36  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
37
38 bti (031-2) unstable; urgency=low
39
40   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
41     URI's to point to https instead of http (closes: #602507).
42   * Set Standards-Version to 3.9.2 (no changes).
43   * Improve long description.
44
45  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
46
47 bti (031-1) unstable; urgency=low
48
49   * New upstream release:
50     - addresses "bti doesn't warn if the password is incorrect": check server
51       replies in non-background mode, only in non-OAuth mode
52       (partly solves #602502)
53
54  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
55
56 bti (030-1) unstable; urgency=low
57
58   * New upstream release.
59   * Switch to debhelper 8.
60
61  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
62
63 bti (029-2) unstable; urgency=low
64
65   * Upload to unstable.
66
67  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
68
69 bti (029-1) experimental; urgency=low
70
71   * New upstream release: includes fixes for
72     + "the --dry-run option has no effect (tweets get posted anyway)
73        with OAuth" (closes: #608608)
74     + "--replyto doesn't work with OAuth" (closes: #608112)
75   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
76     description and add a patch to change the name in the manpage and the
77     example config; thanks to Julien Valroff for the bug report
78     (closes: #605407).
79   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
80     upstream.
81   * Refresh remaining patches.
82   * debian/copyright: update years of upstream and packaging copyright; update
83     formatting.
84   * Don't install README anymore.
85   * Upload to experimental because of the freeze.
86
87  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
88
89 bti (028-2) unstable; urgency=low
90
91   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
92     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
93     request_token URI in order to make OAuth work with identi.ca
94     (closes: #602507).
95   * Minor fixes in README.Debian.
96
97  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
98
99 bti (028-1) unstable; urgency=low
100
101   * New upstream release:
102     - support for replying to notices
103     - adds OAuth support for both twitter and identi.ca (closes: #588235)
104     - split --background from --bash, and make the latter imply the former
105   * Refresh manpage-debian.patch.
106   * Set Standards-Version to 3.9.1 (no changes).
107   * Add build dependency on liboauth-dev.
108   * debian/rules: switch order of dh arguments (preparation for dh8).
109   * debian/copyright: update years of upstream copyright.
110   * Add README.Debian about OAuth usage.
111
112  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
113
114 bti (026-1) unstable; urgency=low
115
116   * Bump build dependency on bash-completion (needed for --with
117     bash-completion in debian/rules).
118
119   * New upstream release.
120   * Refresh patch manpage-debian.patch and DEP3 patch headers.
121   * debian/copyright: refresh DEP5 header, update years of packaging
122     copyright.
123   * Set Standards-Version to 3.8.4 (no changes).
124   * Convert to source format 3.0 (quilt). Remove quilt framework.
125     Lower debhelper dependency.
126
127  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
128
129 bti (025-1) unstable; urgency=low
130
131   * New upstream release: 
132     - set default host to twitter (closes: #563098)
133     - mention correct host in prompts (closes: #563099)
134
135  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
136
137 bti (024-1) unstable; urgency=low
138
139   * New upstream release:
140     - do not display password while user types it (LP: #386525)
141     - disable echo when reading the password
142     - add laconica group support
143   * debian/control: add Homepage field and adjust long description.
144   * Use "--with bash-completion" in debian/rules to install bash-completion
145     snippet; bump build dependencies on debhelper and bash-completion in
146     debian/control.
147
148  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
149
150 bti (023-2) unstable; urgency=low
151
152   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
153     Matthias Klose for the pointer.
154   * Set Standards-Version to 3.8.3 (no changes).
155   * Add debian/README.source to document quilt usage.
156   * Simplify debian/rules, adjust versioned build dependencies on debhelper
157     and quilt in debian/control.
158   * Use dh_bash-completion for installing the completion snippet; adjust
159     debian/rules, add a versioned build dependency on bash-completion.
160
161  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
162
163 bti (023-1) unstable; urgency=low
164
165   * New upstream release, main changes:
166     - new 'verbose' mode
167     - SSL also for twitter
168   * debian/copyright: add new additional copyright holder.
169   * Refresh patch manpage-debian.patch.
170   * debian/control: mention additional actions in long description.
171
172  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
173
174 bti (022-1) unstable; urgency=low
175
176   * New upstream release, main changes:
177     - support for custim laconi.ca instances
178     - use SSL for identi.ca
179   * debian/copyright: add additional copyright holder.
180
181  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
182
183 bti (021-1) unstable; urgency=low
184
185   * New upstream release, contains changes in autoconf tools:
186     - simplify debian/rules and debian/install
187     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
188
189  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
190
191 bti (020-1) unstable; urgency=low
192
193   * New upstream release:
194     - remove patch getopt.patch, included upstream
195     - remove manpage for bti-shrink-urls from debian/, included upstream
196     - upstream uses autoconf, adjust debian/rules and debian/install, remove
197       debian/manpages
198
199  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
200
201 bti (017-1) unstable; urgency=low
202
203   * New upstream release.
204   * Add build-dependency on libpcre3-dev.
205   * Refresh patch manpage-debian.patch.
206   * debian/install: add new bti-shrink-urls.
207   * debian/copyright: add information about bti-shrink-urls.
208   * Create a manpage for bti-shrink-urls.
209   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
210     target which is not easier to use than the manual installation we've been
211     using).
212   * Add a new patch getopt.patch to make the new commandline options available
213     in bti.c.
214
215  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
216
217 bti (015-1) unstable; urgency=low
218
219   * New upstream release; from the RELEASE-NOTES:
220     "--action support, bti now can output data from the twitter
221     and identica servers".
222   * Add build dependency on libxml2-dev.
223   * Refresh patch manpage-debian.patch.
224   * Set Standards-Version to 3.8.1 (no changes).
225
226  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
227
228 bti (014-1) unstable; urgency=low
229
230   * New upstream release.
231
232  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
233
234 bti (013-1) unstable; urgency=low
235
236   * New upstream release.
237   * Use dh_install instead of dh_bash-completion to install the bash
238     completion snippet in order to work around a problem on the amd64 buildd
239     (closes: #513115). Drop build dependency on bash-completion.
240
241  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
242
243 bti (012-1) unstable; urgency=low
244
245   * New upstream release.
246   * Install the new bash completion script; add bash-completion to
247     Build-Depends and Suggests.
248   * Refresh patch manpage-debian.patch.
249
250  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
251
252 bti (011-1) unstable; urgency=low
253
254   * New upstream release.
255   * Add build dependency on libreadline5-dev.
256
257  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
258
259 bti (010-1) unstable; urgency=low
260
261   * New upstream release, includes a new --proxy option and honours the
262     http_proxy environment variable (closes: #511087).
263   * Refresh patch manpage-debian.patch.
264
265  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
266
267 bti (008-1) unstable; urgency=low
268
269   * New upstream release (due to december twitter server change).
270   * Update years of packaging copyright.
271
272  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
273
274 bti (007-1) unstable; urgency=low
275
276   * New upstream release.
277
278  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
279
280 bti (006-1) unstable; urgency=low
281
282   * Initial release (Closes: #503241)
283
284  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200